QGIS Application - Bug report #3646
GRASS toolbox: error removing vectors from a mapset under Windows
2011-03-20 05:34 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Giuseppe Sucameli

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13705
Description

Since 1.6 (so it works fine under 1.5) every time a user tries to remove a vector map in GRASS toolbox browser using the proper toolbar
button results in the following error message

Cannot delete map XXX

command: regio g.remove.exe
vect=XXX

the vector is then not completely removed from the mapset.

Associated revisions

Revision f1d7062c - 2011-09-10 04:17 PM - Giuseppe Sucameli

Fix remove GRASS vector map from mapset on Win OS (should be fix #3646 together with grass-dev package),
disable refresh button in GRASS browser if a module is running

History

#1 - 2011-03-20 05:38 AM - Giovanni Manghi

it fails also from the GRASS command line

C:\\>g.remove vect=regio

GRASS_INFO_MESSAGE(3228,1): Removing vector <regio>
GRASS_INFO_END(3228,1)

GRASS_INFO_WARNING(3228,2): Unable to delete file 'C:/Users/gio/GRASS/teste1/teste1/vector/regio/hist’
GRASS_INFO_END(3228,2)

GRASS_INFO_WARNING(3228,3): couldn't be removed
GRASS_INFO_END(3228,3)

GRASS_INFO_WARNING(3228,4): <regio> nothing removed
GRASS_INFO_END(3228,4)
#2 - 2011-03-20 12:07 PM - Giovanni Manghi

it fails also under qgis 1.5, in fact it depends if the GRASS vector is being displayed in the QGIS TOC. If it is in the TOC then the error message is returned
with its consequences, if the vector is not added in the QGIS project then is removed correctly from the mapset.

#3 - 2011-03-20 01:16 PM - Giovanni Manghi

in qgis 1.6/trunk it fails regardless if the vector was added to the qgis project or not

#4 - 2011-03-27 08:23 AM - hellik -

Replying to [comment:1 lutra]:

it fails also from the GRASS command line

> C:\\>g.remove vect=regio

>

> GRASS_INFO_MESSAGE(3228,1): Removing vector <regio>
> GRASS_INFO_END(3228,1)

>

> GRASS_INFO_WARNING(3228,2): Unable to delete file 'C:/Users/gio/GRASS/teste1/teste1/vector/regio/hist’
> GRASS_INFO_END(3228,2)

>

> GRASS_INFO_WARNING(3228,3): couldn't be removed

> GRASS_INFO_END(3228,3)

>

> GRASS_INFO_WARNING(3228,4): <regio> nothing removed
> GRASS_INFO_END(3228,4)

it's maybe a problem in wingrass itself and not in the grass-plugin.

see http:/trac.osgeo.org/grass/ticket/1158

in an actual nightly wingrass65-build | have to delete the same vector twice

g.remove vect=mygeol@g65

Removing vector <mygeol@g65>

Kann Datei 'C:\\gisdata\\grassdata/nc_spm_08/g65/vector/mygeol/hist' nicht I6schen.
couldn't be removed

<mygeol> nothing removed

(Sun Mar 27 16:58:58 2011) Command finished (0 sec)

(Sun Mar 27 16:59:03 2011)

g.remove vect=mygeol@g65

Removing vector <mygeol@g65>

(Sun Mar 27 16:59:03 2011) Command finished (0 sec)

#5 - 2011-03-27 08:28 AM - Giovanni Manghi
http://trac.osgeo.org/grass/ticket/1158

so it seems we are stuck here

http://trac.osgeo.org/grass/ticket/1158#comment:15

can someone do what glynn asks, so the bug can be fixed?

#6 - 2011-06-03 08:41 AM - Markus Neteler

Giovanni Manghi wrote:

so it seems we are stuck here

http.//trac.0sgeo.org/grass/ticket/1158#comment:15

can someone do what glynn asks, so the bug can be fixed?

any news on this front?

#7 - 2011-06-03 08:58 AM - Giovanni Manghi

| have no idea on how to do what is asked under Windows. | hope that someone will step in because this bug hurts a lot the user experience.

#8 - 2011-07-22 10:51 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

any news?

#9 - 2011-09-11 04:56 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

- Assignee changed from Redmine Admin to Giuseppe Sucameli

- Priority changed from Low to High

The issue has been solved upstream in GRASS 6.4.2 svn. We (Faunalia, Giuseppe Sucameli) made the packages to test the fix in OSGeo4w and the

issue is fixed indeed.

It was also necessary to make further fixes to the QGIS/GRASS plugin

commit:f1d7062c3ed3474785ca2ef03675397cbfa37d32

in order to avoid further problems, especially under the Windows platform.

The issue can be considered fixed, but only if/when GRASS 6.4.2 (svn) will be available in OSGeo4w (and then subsequently in the standalone installer).
